%define upstream_name	 Test-Differences
%define upstream_version 0.71

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Test strings and data structures and show differences if not ok 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.240.0
BuildRequires: perl(Data::Dumper) >= 2.126.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Diff) >= 1.430.0
BuildArch:  noarch

%description
When the code you're testing returns multiple lines, records or data structures
and they're just plain wrong, an equivalent to the Unix diff utility may be
just what's needed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.710.0-2.mga10
+ Revision: 2219581
- Mageia 10 Mass Rebuild

* Mon Oct 23 2023 tv <tv> 0.710.0-1.mga10
+ Revision: 2000317
- update to 0.71

* Tue Aug 29 2023 tv <tv> 0.700.0-1.mga10
+ Revision: 1981025
- update to 0.70

* Mon Mar 21 2022 umeabot <umeabot> 0.690.0-2.mga9
+ Revision: 1815935
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 0.690.0-1.mga9
+ Revision: 1767722
- update to 0.69

* Thu May 20 2021 tv <tv> 0.680.0-1.mga9
+ Revision: 1725832
- update to 0.68

* Sat Feb 15 2020 umeabot <umeabot> 0.670.0-2.mga8
+ Revision: 1523567
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Mar 07 2019 tv <tv> 0.670.0-1.mga7
+ Revision: 1372247
- update to 0.67

* Thu Feb 28 2019 tv <tv> 0.660.0-1.mga7
+ Revision: 1370599
- update to 0.66

* Wed Feb 20 2019 tv <tv> 0.650.0-1.mga7
+ Revision: 1368678
- update to 0.65

* Wed Sep 19 2018 umeabot <umeabot> 0.640.0-3.mga7
+ Revision: 1271740
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.640.0-2.mga6
+ Revision: 1034276
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.640.0-1.mga6
+ Revision: 923930
- update to 0.64

* Mon Jun 29 2015 sander85 <sander85> 0.630.0-1.mga6
+ Revision: 847961
- update to 0.63

* Sun Oct 19 2014 umeabot <umeabot> 0.620.0-4.mga5
+ Revision: 788664
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.620.0-3.mga5
+ Revision: 747652
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.620.0-2.mga5
+ Revision: 686426
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 0.620.0-1.mga5
+ Revision: 640019
- update to 0.62

* Fri Oct 18 2013 umeabot <umeabot> 0.610.0-3.mga4
+ Revision: 515137
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.610.0-2.mga3
+ Revision: 373456
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 19 2011 jquelin <jquelin> 0.610.0-1.mga1
+ Revision: 88566
- update to 0.61

* Thu Jan 13 2011 jquelin <jquelin> 0.500.0-2.mga1
+ Revision: 15043
- imported package perl-Test-Differences


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.500.0-2mdv2011.0
+ Revision: 555308
- rebuild

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.500.0-1mdv2010.1
+ Revision: 460993
- update to 0.500

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.480.100-1mdv2010.0
+ Revision: 405549
- rebuild using %%perl_convert_version

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.48.01-1mdv2009.0
+ Revision: 270510
- new version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.47-5mdv2009.0
+ Revision: 224134
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.47-4mdv2008.1
+ Revision: 180592
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.47-3mdv2008.0
+ Revision: 23307
- rebuild


* Sun Mar 12 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.47-2mdk
- %%mkrel

* Fri Mar 04 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.47-1mdk 
- first mdk release

